자유광장자유

a65ddfbbd082bc3b582a957291b1b9fb.png

 

최근에 제보가 들어왔는데 갤럭시 노트 1, 2(참 이런 고물을 쓰는 사람도 대단...) 제품에서 위와 같이 제 레이아웃이 비정상적으로 보인다고 합니다. 심지어는 자바스크립트로 동작하는 버튼도 작동하지 않는다고 하니 정말 심각합니다.

 

저게 왜 저럴까 생각해봤는데 보니까 flex 자체가 기능을 상실했더라구요. 딱 저기서 flex만 작동하지 않습니다. 원래는 게시판 쓰기 버튼도 검색 버튼과 나란히 위치해있어야 하는데 밑으로 밀려나있고, flex를 사용해 중앙 정렬되는 햄버거 버튼이 화면 가장자리에 자리하고 있는 것이 그 증거입니다.

 

모바일 크롬은 아직도 젤리빈까지 지원할 정도인데 저 괴상한 브라우저를 사용하고 있다니 신기할 다름입니다. 디자인을 보면 돌핀 브라우저거나 당시 내장된 삼성 브라우저로 보이는데 업데이트가 하나도 안된 모양입니다;;

 

저런건... 솔직히 지원 못해요.

부트스트랩도 죄다 flex를 쓰고 있고 기본적으로 우리가 자주 사용하는 그리드 시스템 자체가 웬만해서는 flex로 바뀌었는데 그걸 지원하지 않는다니 저건 너무 구시대 유물같네요...

글쓴이 snax

profile
안녕하세요! Digital Product Designer, Calvin Snax입니다.
제 작업물을 확인해보시거나 작업을 의뢰하고 싶으신 분들은 제 사이트를 방문해주세요.
http://calvinsnax.com

XE & Rhymix 제작 자료
equeer 레이아웃: https://calvinsnax.com/equeer
XE 알림센터 모듈 스킨 C!rculator Lite: https://winx.kr/Ea5QVRoF
  • profile
    라라펠 2018.03.08 00:04:17
    안드로이드 젤리빈 기본 브라우저 같네요 :3... 보안문제도 많아서 그냥 지원하지 않으시는게 좋을것 같아요.
  • profile
    RayHur 2018.03.08 00:33:57
    갤놋1은 정말정말 ... 오래전 고물인데 저걸 아직 쓰고 있다는게 신기하고 [음 저도 아직 아이패드1이 있긴 한데 챚꽂이 속에서 영면중임] 그냥 지원을 안한다고 쿨하게 말씀하시길 바랍니다.
  • profile
    mAKEkr 2018.03.08 03:37:22

    지원하지 않는게 좋습니다.
    제가보기에는 인앱브라우저인데, 개발자들이 구형브라우저에 인앱브라우저까지 신경써줄 이유가 없습니다. 인앱브라우저 타겟으로 개발요청 들어온게 아닌이상 해줄의무가 없어요.

    각설하고 ie8 ie9도 개발타겟으로 안잡는게 요즘인데 저거 지원해주면 밑도끝도 없을텐데 저걸 지원해달라는건 솔직히 너무한거 아닌가 싶습니다.

  • profile
    리버스 2018.03.08 10:30:22

    저거 네이버 브라우저 아닌가요?

    네이버 앱이 저렇게 열리는데 말이죠

  • ?
    Gjworks 2018.03.08 10:55:38
    최신 브라우저만 지원하는게 좋아보입니다. jQuery, Bootstrap 등 조합 맞출려면 어쩔수없죠.
  • profile
    이브이 2018.03.08 14:06:49
    저런경우 크롬 브라우저로 접속하면 제대로 작동하더라고요~

서버에 요청 중입니다. 잠시만 기다려 주십시오...